TOXIC(1)

NAME
toxic - CLI client for Tox

SYNOPSIS

toxic [-f data-file] [-x] [-4] [-c config-file] [-n nodes-file] [-h]

DESCRIPTION

toxic is an ncurses-based instant messaging client for Tox which formerly resided in the Tox core repository, and is now available as a standalone application.

OPTIONS

-4, --ipv4
    Force IPv4 connection

-b, --debug
    Enable stderr for debugging. Redirect output to avoid breaking the curses interface and better capture messages.

-c, --config config-file
    Use specified config-file instead of ~/.config/tox/toxic.conf

-d, --default-locale
    Use default locale

-e, --encrypt-data
    Encrypt an unencrypted data file. An error will occur if this option is used with an encrypted data file.

-f, --file data-file
    Use specified data-file instead of ~/.config/tox/data

-h, --help
    Show help message

-n, --nodes nodes-file
    Use specified nodes-file for DHT bootstrap nodes, instead of __DATADIR__/DHTnodes

-o, --noconnect
    Do not connect to the DHT network

-p, --SOCKS5-proxy
    Use a SOCKS5 proxy: Requires [IP] [port]

-P, --HTTP-proxy
    Use a HTTP proxy: Requires [IP] [port]

-r, --dnslist
    Use specified DNSservers file

-t, --force-tcp
    Force TCP connection (use this with proxies)

-u, --unencrypt-data
    Unencrypt a data file. A warning will appear if this option is used with a data file that is already unencrypted.

FILES

__DATADIR__/DHTnodes
    Default list of DHT bootstrap nodes.

~/.config/tox/data
    Savestate which contains your personal info (nickname, Tox ID, contacts, etc)

~/.config/tox/toxic.conf
    Configuration file. See toxic.conf(5) for more details.

__DATADIR__/toxic.conf.example
    Configuration example.

BUGS

Unicode characters with a width larger than 1 column may cause strange behaviour. Expect more bugs and bad behaviour: this software is in a pre-alpha stage.

AUTHORS

JFreegman <JFreegman@gmail.com>

SEE ALSO

toxic.conf(5)

LINKS

Project page: https://github.com/Tox/toxic

IRC channel: chat.freenode.net#tox